#
# spec file for package sblim-testsuite
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sblim-testsuite
BuildRequires:  automake
BuildRequires:  sblim-wbemcli
Version:        1.3.0
Release:        7.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       sblim-wbemcli
BuildArch:      noarch
URL:            http://sblim.wiki.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Patch0:         %{name}-1.3.0-fix-bashisms.patch
Summary:        SBLIM Testsuite
License:        EPL-1.0
Group:          Development/Tools/Other

%description
Standards Based Linux Instrumentation Base Providers Test Suite



Authors:
--------
    SBLIM Project

%prep
%autosetup -p1

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%if 0%{?suse_version}
%makeinstall docdir=%{_docdir}/%{name}
%else
make DESTDIR=$RPM_BUILD_ROOT install
%endif

%files
%defattr(-,root,root)
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora} || 0%{?rhel}
%doc %{_datadir}/doc/%{name}-%{version}
%else
%doc %{_docdir}/%{name}
%endif
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}

%changelog
* Thu Feb 22 2024 Michael Vetter <mvetter@suse.com>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Sat Nov 15 2014 Led <ledest@gmail.com>
- fix bashisms in run.sh script
  sblim-testsuite-1.3.0-fix-bashisms.patch
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Oct  2 2009 mhrusecky@suse.cz
- updated to 1.3.0
  * 1733106: fixed recognition of arrays in consistency's property
    test
  * 1742263: new modifyInst attribute is not recognized in assoc test
  * 1944950: association call's syntax not sufficient
  * 2795176: migrate provider licenses to EPL
* Thu Nov  1 2007 mmarek@suse.cz
- updated to 1.2.5
  * 1588479: enable modifyInstance (setInstance)
  * 1658747: association test results can contain "old" values.
* Tue Jan 16 2007 mrueckert@suse.de
- added sblim-testsuite-1.2.4_checkRef_gi.patch:
  properly set the checkRef_gi variable in case of errors (#84579)
* Wed Mar  1 2006 mrueckert@suse.de
- update to 1.2.4 [#142308]
  * 1340687 Support for https connections
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 26 2005 mrueckert@suse.de
- Update to version 1.2.3
* Sat May 22 2004 nashif@suse.de
- Fix #40889: SBLIM testsuite reports perl syntax errors when
  have no RHS associated instances
* Tue May  4 2004 nashif@suse.de
- Fixed bug #39757:  SBLIM testsuite runs LHS-to-RHS association
  tests when supposed to run RHS-to_LHS
* Fri Apr 30 2004 nashif@suse.de
- Update version to 1.1.0
* Fri Apr 16 2004 nashif@suse.de
- Update version with bugfixes from IBM
* Wed Apr  7 2004 nashif@suse.de
- Initial Release
